Bug 1561 - Show search terms in z39.50 results
Summary: Show search terms in z39.50 results
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Cataloging (show other bugs)
Version: master
Hardware: All All
: P3 enhancement (vote)
Target Milestone: ---
Assignee: Marc Véron
QA Contact: Bugs List
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 6536 12765
  Show dependency treegraph
 
Reported: 2007-11-06 11:31 UTC by Owen Leonard
Modified: 2015-06-04 23:32 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 1561 - z39.50 results do not show search terms (3.03 KB, patch)
2014-08-10 23:22 UTC, Marc Véron
Details | Diff | Splinter Review
[SIGNED OFF] Bug 1561 - z39.50 results do not show search terms (3.09 KB, patch)
2014-08-11 03:10 UTC, Nick Clemens
Details | Diff | Splinter Review
[PASSED QA] Bug 1561 - z39.50 results do not show search terms (3.33 KB, patch)
2014-08-15 09:38 UTC, Katrin Fischer
Details | Diff | Splinter Review
[PASSED QA] Bug 1561 - z39.50 results do not show search terms (3.27 KB, patch)
2014-08-15 09:39 UTC, Katrin Fischer
Details | Diff | Splinter Review
[QA FOLLOW-UP] Bug 1561: Typo gut was not good; should be get ! (1.57 KB, patch)
2014-08-21 11:47 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Cormack 2010-05-21 00:32:00 UTC


---- Reported by oleonard@myacpl.org 2007-11-06 11:31:16 ----

The z39.50 search template has a place where search terms (title, isbn, author, and/or issn) should be redisplayed when the results come back. Those values appear in the initial z39.50 search window, but not after the results come back.



---- Additional Comments From jmf@liblime.com 2008-01-01 06:31:57 ----

Assigning to Ryan as he's done some cleanup for Z39.50 search for dev_week.



---- Additional Comments From nengard@gmail.com 2009-12-23 17:58:39 ----

This bug hasn't been touched in nearly a year, please revisit and test and close if appropriate.



---- Additional Comments From oleonard@myacpl.org 2009-12-25 18:17:16 ----

It would be nice for this to get implemented, but in the context of 3.x it's an enhancement request, as the interface doesn't create the expectation that search terms will be displayed.



--- Bug imported by chris@bigballofwax.co.nz 2010-05-21 00:32 UTC  ---

This bug was previously known as _bug_ 1561 at http://bugs.koha.org/cgi-bin/bugzilla3/show_bug.cgi?id=1561

Actual time not defined. Setting to 0.0

Comment 1 Marc Véron 2014-08-10 23:22:13 UTC Comment hidden (obsolete)
Comment 2 Nick Clemens 2014-08-11 03:10:19 UTC Comment hidden (obsolete)
Comment 3 Katrin Fischer 2014-08-15 09:38:45 UTC Comment hidden (obsolete)
Comment 4 Katrin Fischer 2014-08-15 09:39:19 UTC
Created attachment 30820 [details] [review]
[PASSED QA] Bug 1561 - z39.50 results do not show search terms

This patch adds a line with search terms results window of z39.50 search.

To test:
- In staff client, go to cataloging.
- Click 'New from z39.50'
- Do a search
- Your search terms should display at the top of the results page.
- Repeat search with several combinations of search terms (with and without results).

- Check the output for correct html.

Signed-off-by: Nick Clemens <nick@quecheelibrary.org>
Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>
Passes tests and QA script, fixed one tab.
Something similar would be nice for the results in the Z39.50 search
in acq as well.
Comment 5 Tomás Cohen Arazi 2014-08-20 15:30:09 UTC
Patch pushed to master.

Thanks Marc!
Comment 6 Marcel de Rooy 2014-08-21 11:47:33 UTC
Created attachment 31045 [details] [review]
[QA FOLLOW-UP] Bug 1561: Typo gut was not good; should be get !

The form method gut does not yet exist, even in Germany :)

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 7 Marcel de Rooy 2014-08-21 11:49:00 UTC
Taking the liberty to put this trivial literal one-letter-patch (qa follow-up) into the RM queue again :)
Comment 8 Tomás Cohen Arazi 2014-08-21 12:57:15 UTC
Followup pushed to master.

Thanks Marcel!
Comment 9 Marc Véron 2014-08-21 12:59:52 UTC
Mea culpa, sorry for that... Marc